<div id="tweet-feed" class="Box">
  <div class="TweetFeed__Container">
  	<div class="TweetFeed__Tweet" *ngFor="let tweet of tweets">
  		<div class="TweetHeader">
	  		<a [routerLink]="'user/'+ tweet.username">
          <p-avatar [image]="'assets/pics/' + tweet.photo" ></p-avatar>
          <span>{{ tweet.username }}</span>
        </a>
        <div [style]="{'position': 'relative'}" *ngIf="tweet.username == tweet.author">
          <p-speedDial className="tweet-options" [model]="actionItems" direction="down" [style]="{'right': '0%'}" showIcon="pi pi-ellipsis-v" buttonClassName="p-button-rounded p-button-secondary p-button-outlined" (click)="selectTweet(tweet)"></p-speedDial>
        </div>
  		</div>
  		<p-card [style]="{'margin-bottom': '2em', 'text-align': 'center'}">
        <ng-template pTemplate="header">
          <img [src]="tweet.image" [style]="{'width': '80%'}" />
          <p>{{ tweet.message }}</p>
          <div class="TweetIcons">
            <button pButton pRipple type="button" icon="pi pi-reply" class="p-button-rounded p-button-outlined"></button>
            <button pButton pRipple type="button" icon="pi pi-heart" class="p-button-rounded p-button-outlined" (click)="hitLike(tweet)">{{ getLikes(tweet) }}</button>
          </div>
        </ng-template>
      </p-card>
  	</div>
  </div>
</div>